ONVIF::Device::Types::OSDTextConfiguration(3pm)

NAME
ONVIF::Device::Types::OSDTextConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType OSDTextConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Type

•   DateFormat

•   TimeFormat

•   FontSize

•   FontColor

•   BackgroundColor

•   PlainText

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::OSDTextConfiguration
   Type =>  $some_value, # string
   DateFormat =>  $some_value, # string
   TimeFormat =>  $some_value, # string
   FontSize =>  $some_value, # int
   FontColor =>  { # ONVIF::Device::Types::OSDColor
     Color => ,
   },
   BackgroundColor =>  { # ONVIF::Device::Types::OSDColor
     Color => ,
   },
   PlainText =>  $some_value, # string
   Extension =>  { # ONVIF::Device::Types::OSDTextConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL